Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::BillboardParticleRendererFactory Class Reference

Factory class for BillboardParticleRenderer. More...

`#include <OgreBillboardParticleRenderer.h>`

Inheritance diagram for Ogre::BillboardParticleRendererFactory:

[legend]
List of all members.

## Public Member Functions
const String & | getType () const
| Returns: The factory type.
ParticleSystemRenderer * | createInstance (const String &name)
  | Parameters:
  | name | Name of the object to create
Returns: An object created by the factory. The type of the object depends on the factory.
void | destroyInstance (ParticleSystemRenderer *inst)
  | Parameters:
  | ptr | Pointer to the object to destroy

## Detailed Description

Factory class for BillboardParticleRenderer.

Definition at line 236 of file OgreBillboardParticleRenderer.h.

## Member Function Documentation

ParticleSystemRenderer* Ogre::BillboardParticleRendererFactory::createInstance | ( | const String & | name | ) | `[virtual]`

  | Parameters:
  | name | Name of the object to create
Returns: An object created by the factory. The type of the object depends on the factory. Implements Ogre::FactoryObj< ParticleSystemRenderer >.

void Ogre::BillboardParticleRendererFactory::destroyInstance | ( | ParticleSystemRenderer * | inst | ) | `[virtual]`

  | Parameters:
  | ptr | Pointer to the object to destroy
Implements Ogre::FactoryObj< ParticleSystemRenderer >.

const String& Ogre::BillboardParticleRendererFactory::getType | ( |  | ) | const`[virtual]`

| Returns: The factory type. Implements Ogre::FactoryObj< ParticleSystemRenderer >.

The documentation for this class was generated from the following file:

- OgreBillboardParticleRenderer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:33 2008